/*
    Copyright (C) 2004 Adam Olsen

	This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef CRYPT_FUNCS_HPP
#define CRYPT_FUNCS_HPP

#include <openssl/evp.h>
#include <string>
#include <fstream>
#include <unistd.h>
#include <stdio.h>

/**
 * Encrypts/Decrypts inFile to outFile with Blowfish using pass as a key.  Use encordec = 'd' for decryption,
 * 'e' for encryption.  If there is a problem encrypting/decrypting the file, a description of the problem is placed
 * in error.  Returns true on success, false on fail
**/
bool bf_crypt_file( const char *inFile, const char *outFile, const char *pass, char encordec, std::string &error );

/**
 * Uses SHA-1 to hash the key in pass, and return the result as a string
**/
std::string sha1_hash( const char *pass );

void shred_file( const char *file );

#endif // CRYPT_FUNCS_HPP
