/*
    Copyright (C) 2004 Adam Olsen

	This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef INFORMATION_DIALOG_HPP
#define INFORMATION_DIALOG_HPP
#include <gtkmm.h>

namespace aolib
{
	class InformationDialog: public Gtk::Dialog
	{
		public:

			InformationDialog();
			virtual ~InformationDialog() { };

			Glib::ustring getFirstName() { return firstNameEntry.get_text(); }
			Glib::ustring getLastName() { return lastNameEntry.get_text(); }
			Glib::ustring getUsername() { return usernameEntry.get_text(); }
			Glib::ustring getPassword() { return passwordEntry.get_text(); }

			void setFirstName( Glib::ustring name ) { firstNameEntry.set_text( name ); }
			void setLastName( Glib::ustring name ) { lastNameEntry.set_text( name ); }
			void setUsername( Glib::ustring username ) { usernameEntry.set_text( username ); }
			void setPassword( Glib::ustring password ) { passwordEntry.set_text( password ); verifyEntry.set_text( password ); }

		private:
			Gtk::Label informationLabel, firstNameLabel, lastNameLabel,
					   usernameLabel, passwordLabel, verifyLabel;

			Gtk::Entry firstNameEntry, lastNameEntry, usernameEntry, passwordEntry, verifyEntry;
			Gtk::Button okButton;

			Gtk::HSeparator sep;
			Gtk::VBox mainBox;
			Gtk::HBox firstNameBox, lastNameBox, usernameBox, passwordBox, verifyBox;
			virtual bool _checkInformation();
			virtual void _okHandler();
			virtual void _responseHandler( int response );

			// sets out layout of the components
			virtual void _layoutComponents();
	};
}

#endif // LOGIN_DIALOG_HPP
