/*
    Copyright (C) 2004 Adam Olsen

	This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 1, or (at your option)
    any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

#ifndef SQLITE_RESULT_HPP
#define SQLITE_RESULT_HPP

#include "sqlitemanager.hpp"
#include <iostream>
#include <string>
#include <map>
#include <vector>

namespace sqlitem
{
	class SQliteResult
	{
		public:
			SQliteResult();
			std::map<std::string, std::string> next();
			void finalize();
			bool hasNext();
			inline int numRows() { return rowCount; }
			void reset();

		private:
			int rowCount, currRow;
			std::vector< std::map<std::string, std::string> > results;
			friend int SQliteCallback( void *, int, char**, char** );
			friend class SQliteManager;
	};

	int SQliteCallback( void *argument, int argc, char **argv, char **columns );
}

#endif // SQLITE_RESULT_HPP
